#
# spec file for package libyaml
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           libyaml
Version:        0.1.7
Release:        1.17
Summary:        A YAML 1.1 parser and emitter written in C
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://pyyaml.org/wiki/LibYAML
Source:         http://pyyaml.org/download/libyaml/yaml-%{version}.tar.gz
BuildRequires:  pkgconfig

%description
A YAML 1.1 parser and emitter written in C

%define lib_name libyaml-0-2

%package -n %{lib_name}
Summary:        Shared library from libyaml
Group:          Development/Libraries/C and C++

%description -n %{lib_name}
A YAML 1.1 parser and emitter written in C

This package holds the shared library of libyaml.

%package devel
Summary:        Development files for libyaml
Group:          Development/Libraries/C and C++
Requires:       %{lib_name} = %{version}

%description devel
A YAML 1.1 parser and emitter written in C

This package holds the development files for libyaml.

%prep
%setup -q -n yaml-%{version}

%build
%configure --with-pic --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} check

%post   -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%{_libdir}/libyaml-0.so.2
%{_libdir}/libyaml-0.so.2.0.*

%files devel
%{_includedir}/yaml.h
%{_libdir}/libyaml.so
%{_libdir}/pkgconfig/yaml-0.1.pc

%changelog
